Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167217 - AssertionError at org.netbeans.modules.editor.hints.HintsUI.showPopup
AssertionError at org.netbeans.modules.editor.hints.HintsUI.showPopup
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Max Sauer
issues@java
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on: 167216
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 11:20 UTC by Martin Entlicher
Modified: 2009-07-16 17:02 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.17 KB, text/plain)
2009-06-17 11:20 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2009-06-17 11:20:43 UTC
Build: NetBeans IDE Dev (Build 090521)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.22-14-generic, i386

Stacktrace: 
java.lang.AssertionError
        at org.netbeans.modules.editor.hints.HintsUI.showPopup(HintsUI.java:285)
        at org.netbeans.modules.editor.hints.HintsUI.invokeDefaultAction(HintsUI.java:497)
        at org.netbeans.modules.editor.hints.FixAction.actionPerformed(FixAction.java:64)
        at org.netbeans.modules.java.editor.overridden.IsOverriddenAnnotationAction.actionPerformed(IsOverriddenAnnotationAction.java:91)
        at org.netbeans.editor.GlyphGutter$GutterMouseListener.mouseClicked(GlyphGutter.java:755)
        at java.awt.AWTEventMulticaster.mouseClicked(AWTEventMulticaster.java:252)
Comment 1 Martin Entlicher 2009-06-17 11:20:53 UTC
Created attachment 83686 [details]
stacktrace
Comment 2 Max Sauer 2009-06-17 12:54:13 UTC
Are there any steps to reproduce? Thanks.
Comment 3 Max Sauer 2009-06-17 13:22:08 UTC
This is a result of #167216 occurrence.
Comment 4 Max Sauer 2009-06-17 14:41:37 UTC
Fixed along with issue 167216.
---
http://hg.netbeans.org/jet-main/rev/485c2d7c367c
Comment 5 Petr Blaha 2009-07-02 13:30:53 UTC
v.
Comment 6 pgebauer 2009-07-09 10:31:47 UTC
The fix has been ported into the release67_fixes repository together with bugfix of issue 167216 .
http://hg.netbeans.org/release67_fixes/rev/956767dee16d
Comment 7 Jiri Prox 2009-07-16 17:02:01 UTC
v in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo